Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002468TestLinkAPI - XMLRPCpublic2009-05-04 12:302010-05-01 20:35
ReporterAriman 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.1 
Fixed in Version1.9 Beta 2 
Summary0002468: method reportTCResult() reset the test case's result.
Description    Firstly, to the parameters of method reportTCResult(), I'm not so clear with the parameter "status", so I just set it as "p" like in the sample.
    When I use reportTCResult(), I can get the case's result, but the problem is? if there is a case on TestLink which result is Failed, after I use this method to get its result(what i got is {'status': True, 'message': 'Success!', 'id': '20'}, not Failed), even the case's sesult on TestLink has also been changed from original Failed to Passed.
    So, I'm confused with it, is there something related to the parameter "status"?
Additional InformationThe following is what I got with PHP:

Test - reportTCResult$args (array)
devKey eb1a9b4fca215788200bf9587cc69202
testplanid 2
testcaseid 7
buildid 1
status p

POST /testlink181/lib/api/xmlrpc.php HTTP/1.0
Host: 10.31.22.101
Content-Type: text/xml
User-Agent: Incutio XML-RPC
Content-length: 540

<?xml version="1.0"?>
<methodCall>
<methodName>tl.reportTCResult</methodName>
<params>
<param><value><struct>
  <member><name>devKey</name><value><string>eb1a9b4fca215788200bf9587cc69202</string></value></member>
  <member><name>testplanid</name><value><int>2</int></value></member>
  <member><name>testcaseid</name><value><int>7</int></value></member>
  <member><name>buildid</name><value><int>1</int></value></member>
  <member><name>status</name><value><string>p</string></value></member>
</struct></value></param>
</params></methodCall>

<?xml version="1.0"?>
<methodResponse>
<params>
<param>
<value>
<array><data>
<value><struct>
<member><name>status</name><value><boolean>1</boolean></value></member>
<member><name>id</name><value><string>21</string></value></member>
<member><name>message</name><value><string>Success!</string></value></member>
</struct></value>
</data></array>
</value>
</param>
</params>
</methodResponse>




Rsult was: $response (array)
0 array
status TRUE
id 21
message Success!
 
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0006735)
fman (administrator)
2009-05-04 17:45

method does not return test case status, is not his objective.
The status returned refers to operation requested
(0006743)
Ariman (reporter)
2009-05-05 08:38

Thanks for your reply! I know it.

and how about the other one: the method reportTCResult() would change case reuslt on TestLink from Failed to Passed? Is it a issue or just my operationg mistake?
(0006950)
aprepo (reporter)
2009-05-19 20:42

I think that is how it is supposed to work. IMHO the function is badly named, I also accidentally set all tests on one build to passed when I was trying to get a report of all passed cases in that build. The method does not return the tc status, it "reports" the test result TO the database.

The name of the function should be setTCStatus() or something, and it should have a counterpart getTCStatuses() and/or getLatestTCStatus().
(0006954)
fman (administrator)
2009-05-19 22:44

Ok may be you are right, we will create a new method with suggested name as alias

- Issue History
Date Modified Username Field Change
2009-05-04 12:30 Ariman New Issue
2009-05-04 17:45 fman Note Added: 0006735
2009-05-05 08:38 Ariman Note Added: 0006743
2009-05-19 20:42 aprepo Note Added: 0006950
2009-05-19 22:44 fman Note Added: 0006954
2009-05-19 22:44 fman Status new => assigned
2009-05-19 22:44 fman Assigned To => fman
2009-09-14 23:54 fman Status assigned => resolved
2009-09-14 23:54 fman Fixed in Version => 1.9 (DEV)
2009-09-14 23:54 fman Resolution open => fixed
2010-05-01 20:35 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker